Configuration
All operations require authentication.
List pending changes per zoneProduction
Path parameters
The internal name of your IP load balancing
Response
The number of changes waiting to be applied
The Load Balancer zone with pending changes
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ pendingChanges \
-H "authorization: Bearer $OVH_TOKEN"[ { "number": 0, "zone": "string" }]
Apply the configurationProduction
Path parameters
The internal name of your IP load balancing
Request body (required)
The zone(s) of your iplb
Response
Operation type
deleteIplbdeployIplbinstallinstallIplbinstallZoneorderFreeCertificateorderPaidCertificateorderSslrefreshIplbreleaseIplbreleaseIplbZonereopenIplbsuspendIplbsuspendZoneswitchToIplbNextGenerationApivrackAttachvrackDetachCreation date of your operation
Done date of your operation
Id of the operation
Operation progress percentage
Current status of your operation
blockedcancelleddoingdoneerrortodoZone of your Load Balancer which are updated by current Task
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ refresh \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "deleteIplb", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "status": "blocked", "zones": [ "string" ]}
List defined frontends and their typeProduction
Path parameters
The internal name of your IP load balancing
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ definedFrontends \
-H "authorization: Bearer $OVH_TOKEN"[ { "id": 0, "type": "string" }]
List defined farms and their typeProduction
Path parameters
The internal name of your IP load balancing
Query parameters
The vrack network id you want to filter on
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ definedFarms \
-H "authorization: Bearer $OVH_TOKEN"[ { "id": 0, "type": "string" }]
List defined routes and their typeProduction
Path parameters
The internal name of your IP load balancing
Response
Human readable name for your route
Id of your route
Protocol supported by this route
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ definedRoutes \
-H "authorization: Bearer $OVH_TOKEN"[ { "displayName": "string", "routeId": 0, "type": "string" }]